Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractPoll

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractPoll

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIPoll

    public abstract class AbstractPoll

extends AbstractActionComponent

The <a4j:poll> component allows periodical sending of Ajax requests to the server. It is used for repeatedly updating a page at specific time intervals.

Author:
  shura

Field Summary
`static String` | `BEFOREDOMUPDATE`
`static String` | `BEGIN`
`static String` | `COMPLETE`
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`
`static String` | `ON_BEFOREDOMUPDATE`
`static String` | `ON_BEGIN`
`static String` | `ON_COMPLETE`
`static String` | `ON_TIMER`
`static String` | `TIMER`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractPoll()`

Method Summary
`abstract int` | `getInterval()` Specifies the time in milliseconds between requests.
`abstract String` | `getOntimer()` The client-side script method to be called after the timer counts down, but before the Ajax request is initiated
`abstract boolean` | `isEnabled()` Enables/disables polling to the server.

Methods inherited from class org.richfaces.component.AbstractActionComponent
`isBypassUpdates, queueEvent, setBypassUpdates`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

### TIMER

    public static final String TIMER

See Also:
  Constant Field Values

### ON_TIMER

    public static final String ON_TIMER

See Also:
  Constant Field Values

### BEGIN

    public static final String BEGIN

See Also:
  Constant Field Values

### ON_BEGIN

    public static final String ON_BEGIN

See Also:
  Constant Field Values

### COMPLETE

    public static final String COMPLETE

See Also:
  Constant Field Values

### ON_COMPLETE

    public static final String ON_COMPLETE

See Also:
  Constant Field Values

### BEFOREDOMUPDATE

    public static final String BEFOREDOMUPDATE

See Also:
  Constant Field Values

### ON_BEFOREDOMUPDATE

    public static final String ON_BEFOREDOMUPDATE

See Also:
  Constant Field Values

Constructor Detail

### AbstractPoll

    public AbstractPoll()

Method Detail

### getInterval

    public abstract int getInterval()

  Specifies the time in milliseconds between requests. The default for this value is 1000 ms (1 second)

### isEnabled

    public abstract boolean isEnabled()

  Enables/disables polling to the server. Using Expression Language (EL), the enabled attribute can point to a bean property to apply a particular attribute value

### getOntimer

    public abstract String getOntimer()

  The client-side script method to be called after the timer counts down, but before the Ajax request is initiated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.